<template>
  <v-app>
    <v-navigation-drawer v-model="drawer" color="primary" app>
      <v-list
        dense
        nav
        dark
        class="py-0"
      >
        <v-list-item two-line class="px-0">
          <v-list-item-avatar>
            <img src="https://randomuser.me/api/portraits/men/81.jpg">
          </v-list-item-avatar>

          <v-list-item-content>
            <v-list-item-title>Application</v-list-item-title>
            <v-list-item-subtitle>Subtext</v-list-item-subtitle>
          </v-list-item-content>
        </v-list-item>

        <v-divider></v-divider>

        <v-list-item
          link
        >
          <v-list-item-icon>
            <v-icon>mdi-camera-control</v-icon>
          </v-list-item-icon>

          <v-list-item-content>
            <v-list-item-title>Controls</v-list-item-title>
          </v-list-item-content>
        </v-list-item>
        <v-list-item
          link
        >
          <v-list-item-icon>
            <v-icon>mdi-package-variant-closed</v-icon>
          </v-list-item-icon>

          <v-list-item-content>
            <v-list-item-title>Storage</v-list-item-title>
          </v-list-item-content>
        </v-list-item>
      </v-list>
    </v-navigation-drawer>
    <v-app-bar
      app
      color="primary"
      dark
    >
      <v-app-bar-nav-icon @click.stop="drawer = !drawer"></v-app-bar-nav-icon>
      <!-- <div class="d-flex align-center">
        <v-img
          alt="Vuetify Logo"
          class="shrink mr-2"
          contain
          src="https://cdn.vuetifyjs.com/images/logos/vuetify-logo-dark.png"
          transition="scale-transition"
          width="40"
        />

        <v-img
          alt="Vuetify Name"
          class="shrink mt-1 hidden-sm-and-down"
          contain
          min-width="100"
          src="https://cdn.vuetifyjs.com/images/logos/vuetify-name-dark.png"
          width="100"
        />
      </div> -->

      <v-spacer></v-spacer>
    </v-app-bar>
    <v-main>
      <router-view></router-view>
      <!-- <CrudeTools/> -->
    </v-main>
    <v-snackbar :timeout="message.timeout" :bottom="message.bottom" :multi-line="message.multiLine" :color="message.color" @input="messageClose" v-model="message.on">
      {{ message.str }}
      <template v-slot:action="{ attrs }">
        <v-btn text @click.native="messageClose">Close</v-btn>
      </template>
    </v-snackbar>
  </v-app>
</template>

<script>
import Vue from 'vue'
import CrudeTools from './components/CrudeTools';

export default {
  name: 'App',

  components: {
    CrudeTools,
  },

  data: () => ({
    drawer: false,
  }),
  methods: {
    messageClose () {
      this.$store.commit("nextSnackMessage")
    },
  },
  computed: {
    message: {
      get () {
        return this.$store.getters.get_snack_message
      }      
    }
  },
  mounted () {
    this.$store.commit("set_socket", Vue.prototype.$socket)
  },
};
</script>
